Page MenuHomePhabricator

Navigating to Your Dashboard Makes the Published Translation Into a Draft
Closed, ResolvedPublic

Description

After publishing a translation, navigating to your dashboard using the 'All translations' link makes it into a draft. Similarly, just closing the window also changes the page's status to that of a draft. This happens because a save hook fires just before your browser window's content unloads. This should be done conditionally by checking whether there is anything to save or not.

Event Timeline

santhosh created this task.Dec 23 2014, 5:16 AM
santhosh claimed this task.
santhosh raised the priority of this task from to High.
santhosh updated the task description. (Show Details)
santhosh added a subscriber: santhosh.

Change 181543 had a related patch set uploaded (by Santhosh):
While navigating away, save the translation only if something changed

https://gerrit.wikimedia.org/r/181543

Patch-For-Review

santhosh moved this task from Backlog to In Progress on the LE-Sprint-81 board.Dec 23 2014, 7:08 AM
santhosh moved this task from In Progress to In Review on the LE-Sprint-81 board.Dec 23 2014, 11:07 AM
Nikerabbit renamed this task from Navigating to dashboard make the published transltion draft to Navigating to dashboard makes the published translation a draft.Jan 6 2015, 7:03 AM
Nikerabbit set Security to None.

Change 181543 merged by jenkins-bot:
While navigating away, save the translation only if something changed

https://gerrit.wikimedia.org/r/181543

Arrbee closed this task as Resolved.Jan 7 2015, 7:16 AM

Verified.

Arrbee moved this task from In Review to Done on the LE-Sprint-81 board.Jan 7 2015, 1:47 PM
RandomDSdevel renamed this task from Navigating to dashboard makes the published translation a draft to Navigating to Your Dashboard Makes the Published Translation Into a Draft.Mar 2 2015, 9:08 PM
RandomDSdevel updated the task description. (Show Details)
RandomDSdevel awarded a token.